Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## extractor.component
Class Comp

    java.lang.Object
      |
      +--extractor.component.Comp

public class Comp
extends java.lang.Object

Comp클래스는 컴포넌트에 대한 데이타를 가지는 클래스

Field Summary
`(package private) java.util.Vector` | `attributes` 컴포넌트의 어트리뷰트들
`(package private) java.lang.String` | `compName` 컴포넌트의 이름
`(package private) java.lang.String` | `compType` 컴포넌트의 타입 2 타입 : entity bean, session bean
`(package private) java.lang.String` | `homeName` 홈인터페이스 이름
`(package private) java.util.Vector` | `insideClasses` 컴포넌트에 포함된 클래스들의 이름
`(package private) java.util.Vector` | `insideRelations` 컴포넌트에 포함된 클래스들의 관계성
`(package private) java.util.Vector` | `methods` 컴포넌트의 메소드들
`(package private) java.lang.String` | `pkName` 프라이머리 키 이름
`(package private) java.lang.String` | `remoteName` 리모트인터페이스 이름

Constructor Summary
`Comp()`

Method Summary
`void` | `addAttributes(java.lang.String attribute)`
`void` | `addInsideClass(InsideClass insideClass)`
`void` | `addInsideRelation(InsideClassRelation insideRelation)`
`void` | `addMethods(java.lang.String method)`
`java.util.Vector` | `getAttributes()`
`java.lang.String` | `getCompName()`
`java.lang.String` | `getCompType()`
`java.lang.String` | `getHomeName()`
`java.util.Vector` | `getInsideClasses()`
`java.util.Vector` | `getInsideRelations()`
`java.util.Vector` | `getMethods()`
`java.lang.String` | `getPkName()`
`java.lang.String` | `getRemoteName()`
`void` | `setCompName(java.lang.String compName)`
`void` | `setCompType(java.lang.String compType)`
`void` | `setHomeName(java.lang.String homeName)`
`void` | `setPkName(java.lang.String pkName)`
`void` | `setRemoteName(java.lang.String remoteName)`

Methods inherited from class java.lang.Object
`, clone, equals, finalize, getClass, hashCode, notify, notifyAll, registerNatives, toString, wait, wait, wait`

Field Detail

### compName

    java.lang.String compName

  컴포넌트의 이름

### compType

    java.lang.String compType

  컴포넌트의 타입 2 타입 : entity bean, session bean

### homeName

    java.lang.String homeName

  홈인터페이스 이름

### remoteName

    java.lang.String remoteName

  리모트인터페이스 이름

### pkName

    java.lang.String pkName

  프라이머리 키 이름

### attributes

    java.util.Vector attributes

  컴포넌트의 어트리뷰트들

### methods

    java.util.Vector methods

  컴포넌트의 메소드들

### insideClasses

    java.util.Vector insideClasses

  컴포넌트에 포함된 클래스들의 이름

### insideRelations

    java.util.Vector insideRelations

  컴포넌트에 포함된 클래스들의 관계성

Constructor Detail

### Comp

    public Comp()

Method Detail

### setCompName

    public void setCompName(java.lang.String compName)

### getCompName

    public java.lang.String getCompName()

### setCompType

    public void setCompType(java.lang.String compType)

### getCompType

    public java.lang.String getCompType()

### setHomeName

    public void setHomeName(java.lang.String homeName)

### getHomeName

    public java.lang.String getHomeName()

### setRemoteName

    public void setRemoteName(java.lang.String remoteName)

### getRemoteName

    public java.lang.String getRemoteName()

### setPkName

    public void setPkName(java.lang.String pkName)

### getPkName

    public java.lang.String getPkName()

### addAttributes

    public void addAttributes(java.lang.String attribute)

### getAttributes

    public java.util.Vector getAttributes()

### addMethods

    public void addMethods(java.lang.String method)

### getMethods

    public java.util.Vector getMethods()

### addInsideClass

    public void addInsideClass(InsideClass insideClass)

### getInsideClasses

    public java.util.Vector getInsideClasses()

### addInsideRelation

    public void addInsideRelation(InsideClassRelation insideRelation)

### getInsideRelations

    public java.util.Vector getInsideRelations()

Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD